"use strict";

$(document).ready(function() {
	$(window).on('action:app.loggedOut', function(e, data) {
		if (config.ginseng.logoutRedirect) {
			data.next = config.ginseng.logoutRedirect;
		}
	});

	$(window).on('action:ajaxify.end', function(ev, data) {
		if (config.ginseng.loginOverride) {
			$('a[href="/login"]').off('click').on('click', loginRedirect);
		}
	});

	$(window).on('action:ajaxify.start', function(e, data) {
		if (data.url.startsWith('login') && config.ginseng.loginOverride) {
			data.url = null;
			loginRedirect(e);
		}
	});

	$(window).on('action:ajaxify.end', function(e, data) {
		if (data.url === 'login' && config.ginseng.loginOverride) {
			$('#content').html('');
			loginRedirect(e);
		}
	});

	function loginRedirect(e) {
		e.preventDefault();
		e.stopPropagation();

		window.location.href = config.ginseng.loginOverride;
	};
});